
<! doctype html>
<html>
	<head>
		<title>Lyric by combination</title>
		<meta charset="utf-8"/>
		<style>
			*{padding:0px;margin:0px;overflow:hidden;}
			.cover{

			
			font-family:"微软雅黑"; font-size:22px; position:relative;left:0px;top:0px;height:100%;}
			.showcolor{color:blue;}
		</style>
	</head>
	<body bgcolor="black">
		<div style="margin:30px auto;height:40px;line-height:40px;width:600px;">
			<div id="cover1" style="color:#00ffe9;" class="cover">
				
			</div>
			<div id="cover2" class="cover" style="color:#c79bff;top:-100%;">
				
			</div>
			<div id="cover3" class="cover" style="color:#c79bff;top:-200%;">
				
			</div>
			<div id="cover4" class="cover" style="color:#c79bff;top:-400%;">
				
			</div>
		<div>
		<script>
			let lyric = [	"这街上太拥挤",
							"太多人有秘密",
							"玻璃上有雾气在被隐藏起过去",
							"你脸上的情绪",
							"在还原那场雨",
							"这巷弄太过弯曲走不回故事里",
							"这日子不再绿",
							"又斑驳了几句",
							"剩下搬空回忆的我在大房子里",
							"电影院的座椅",
							"隔遥远的距离",
							"感情没有对手戏你跟自己下棋",
							"还来不及仔仔细细写下你的关于",
							"描述我如何爱你",
							"你却微笑的离我而去",
							"这感觉", "已经不对",
							"我努力在挽回",
							"一些些应该体贴的感觉我没给",
							"你嘟嘴许的愿望很卑微在妥协",
							"是我忽略", "你不过要人陪",
							"这感觉已经不对",
							"我最后才了解",
							"一页页不忍翻阅的情节你好累",
							"你默背为我掉过几次泪多憔悴",
							"而我心碎你受罪你的美我不配"] ;
			let cover1 = document.getElementById("cover1");
			let cover2 = document.getElementById("cover2");
			let cover3 = document.getElementById("cover3");
			let cover4 = document.getElementById("cover4");
			let baseLen = 10 ;
			let pos = 0 ;
			function setLyric(str){
				cover1.innerText = str ; 
				cover2.innerText = str ; 
				cover3.innerText = str ; 
				cover4.innerText = str ; 
			}
			function setLength(len){
				cover2.style.width = len + "px"; 
				cover3.style.width = len + "px"; 
				cover4.style.width = len + "px"; 
			}
			baseLen = 0 ;
			pos = 0 ;
			setLyric(lyric[pos]);
			setInterval(function(){
				setLength(baseLen);baseLen+=2;
				if(baseLen >=  lyric[pos].length * 40){
					baseLen = 0 ;
					pos = (pos+1)% lyric.length ;
					setLyric(lyric[pos]);
				}
			},10);
			
		</script>
	</body>
</html>